<template>
  <div class="description">
    <el-row class="name">
      {{ user.name }} 
      
    </el-row>
    <el-row class="id">
      {{ user.id }}
      <el-button type="text" @click="show()">
        <i class="el-icon-edit" style="font-size:1.0rem"></i>
      </el-button>
        <el-dialog title="修改个人信息" :visible.sync="dialogFormVisible" class="dia-content">
          <ModifyInfo ref="ModifyInfo"></ModifyInfo>
          <div> <el-button class="send" type="primary" size="medium"
      @click="submit()"
    >保存</el-button>
    </div>
        </el-dialog>

    </el-row>
    
    <el-row class="item">
      <el-divider content-position="left">个人信息</el-divider>
      <b>年级:</b> &nbsp {{ user.grade }} <br>
      <b>专业:</b> &nbsp {{ user.major }} <br>
      <b>邮箱:</b> &nbsp {{ user.email}} <br>
      <b>校区:</b> &nbsp {{ user.campus }} <br>
    </el-row>
    <el-divider content-position="left">个人简介</el-divider>
    <el-row class="desc">
      {{ user.description }}
    </el-row>
  </div>
</template>

<script>
import ModifyInfo from '@/components/account/ModifyInfo.vue';
const axios = require('axios');

export default {
  data() {
    return {
      dialogFormVisible: false,
      formLabelWidth: '120px',
      user: {
        id: '1952120',
        name: '',
        email: '',
        description: '',
        grade: '',
        major: '',
        campus: ''
      },
    };
  },
  components: {
    ModifyInfo,
  },
  methods:{
    show(){
      this.dialogFormVisible = true;
    },
    submit(){
      this.dialogFormVisible = false;

      var url='/api/user/post-info';

      var data={
        'email':this.$store.getters.getEmail,
        'desc':this.$refs['ModifyInfo'].form.desc,
        'name':this.$refs['ModifyInfo'].form.name,
        'year':this.$refs['ModifyInfo'].form.year,
        'region':this.$refs['ModifyInfo'].form.region,
        'grade':this.$refs['ModifyInfo'].form.grade
      };

      this.$store.commit('setUsername', this.$refs['ModifyInfo'].form.name);
      
      this.$axios.post(url,data).then(res=>{
        var code=res.code;
        var msg=res.msg;
      });
      window.location.reload();
    }
  },
  created(){
    // 请求的 URL 地址
    var url = '/api/user/info';
    // 请求的参数对象
    var paramsObj = { email: this.$store.getters.getEmail };
    // 调用 axios.get() 发起 GET 请求
    this.$axios.get(url, { params: paramsObj }).then(res=> {
      // res.data 是服务器返回的数据
      var result = res.data.data;
      this.user ={
        id: '编辑个人资料',
        name:result.name,
        email:result.email,
        grade:result.grade,
        major:'计算机科学与技术',
        campus:'同济大学'+result.region+'校区',
        description:result.desc
      };
    });
  }
};

</script>

<style scoped>

.description {
  width:100%;
  height:100%;
  position: absolute;
}

.name {
  font-size: 2.0rem;
  text-align: left;
  font-weight: 700;
  margin-top: 5%;
  font-family:"楷体";
}

.id {
  font-size: 1.0rem;
  text-align: left;
  font-weight: 400;
  color: #57606a;
  margin-top: 1%;
}

.desc {
  font-size: 1.4rem;
  text-align: left;
  font-weight: 400;
  color: black;
  margin-top: 10%;
  font-family:"楷体";
}

.item {
  font-size: 1.0rem;
  text-align: left;
  font-weight: 400;
  color: black;
  margin-top: 5%;
  margin-bottom: 2%;
  line-height: 1.9rem;
  margin-bottom: 20%;
}
.dia-content{
  text-align: center;
}
</style>